lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "active_record/coders/version"

Gem::Specification.new do |spec|
  spec.name = "activerecord-coders"
  spec.version = ActiveRecord::Coders::VERSION
  spec.authors = ["Michael van Rooijen"]
  spec.email = ["michael@vanrooijen.io"]
  spec.summary = %q{A collection of useful coders for ActiveRecord, including a pipeline for chaining them.}
  spec.homepage = "http://michael.vanrooijen.io"
  spec.license = "MIT"

  spec.files = `git ls-files -z`.split("\x0")
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  # Utils
  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"

  # Core requirements
  spec.add_development_dependency "activerecord", "~> 4.0.0"
  spec.add_development_dependency "sqlite3"

  # 3rd party libaries for coders
  spec.add_development_dependency "gibberish"
  spec.add_development_dependency "msgpack"
  spec.add_development_dependency "oj"

  # Testing libraries
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "mocha"
  spec.add_development_dependency "database_cleaner"
  spec.add_development_dependency "simplecov"
end
