# Load Dependencies
require "fileutils"
require "bundler"
Bundler.require(:development)
require "active_record"

# Prepare Environment
ROOT = File.expand_path("../..", __FILE__)
FileUtils.mkdir_p(File.join(ROOT, "tmp"))

# Load Coders
require File.join(ROOT, "lib/active_record/coders")

# Load Spec Models
Dir[File.join(ROOT, "spec/support/models/*.rb")].each { |f| require f }

# Configure and connect to SQlite with ActiveRecord
ActiveRecord::Base.establish_connection(
  adapter: "sqlite3",
  database: File.join(ROOT, "tmp/db.sqlite3")
)
