require "spec_helper"

describe ActiveRecord::Coders::Compressors::Gzip do

  it "should create blank" do
    DbGzip.create
  end

  it "should handle nil values" do
    gzip = DbGzip.new
    gzip.data = nil
    gzip.save
    gzip.reload.data.should == nil
  end

  it "should raise exception when receiving invalid data" do
    gzip = DbGzip.new
    gzip.data = {}
    expect { gzip.save }.to raise_error(TypeError)
    expect { gzip.reload }.to raise_error(ActiveRecord::RecordNotFound)
  end

  it "should (de)compress" do
    gzip = DbGzip.new
    gzip.data = read_fixture("lipsum.txt")
    gzip.save
    gzip.data.should == read_fixture("lipsum.txt")
    gzip.data.bytesize.should == 3640
    gzip.reload.instance_variable_get("@attributes")["data"].
      value.bytesize.should == 1374
  end
end
