require "spec_helper"

describe ActiveRecord::Coders::Pipeline do

  it "should create blank" do
    DbPipeline.create
  end

  it "should handle nil values" do
    pipeline = DbPipeline.new
    pipeline.sce = nil
    pipeline.save
    pipeline.reload.sce.should == nil
  end

  it "should serialize, compress and encrypt" do
    pipeline = DbPipeline.new
    pipeline.sce = { example: true }
    pipeline.save
    pipeline.reload.sce.should == { "example" => true }
  end

  it "should serialize, encrypt, but not compress" do
    pipeline = DbPipeline.new
    pipeline.se = { example: true }
    pipeline.save
    pipeline.reload.se.should == { "example" => true }
  end
end
