require "spec_helper"

describe ActiveRecord::Coders::Serializers::JSON do

  it "should create blank" do
    DbJSON.create
  end

  it "should handle nil values" do
    json = DbJSON.new
    json.data = nil
    json.save
    json.reload.data.should == nil
  end

  it "should (de)serialize" do
    json = DbJSON.new
    json.data = { some: "data", with: %w[a r r a y] }
    json.save
    json.reload.data.should == { "some" => "data", "with" => %w[a r r a y] }
  end

  it "should raise exception when receiving invalid data" do
    json = DbJSON.new
    json.data = 1
    expect { json.save }.to raise_error(JSON::GeneratorError)
    expect { json.reload }.to raise_error(ActiveRecord::RecordNotFound)
  end
end
