require "spec_helper"

describe ActiveRecord::Coders::Serializers::YAML do

  it "should create blank" do
    DbYAML.create
  end

  it "should handle nil values" do
    json = DbYAML.new
    json.data = nil
    json.save
    json.reload.data.should == nil
  end

  it "should (de)serialize" do
    json = DbYAML.new
    json.data = { some: "data", with: %w[a r r a y] }
    json.save
    json.reload.data.should == { some: "data", with: %w[a r r a y] }
  end

  it "should raise exception when receiving invalid data" do
    yaml = DbYAML.new
    yaml.data = proc {}
    expect { yaml.save }.to raise_error(TypeError)
    expect { yaml.reload }.to raise_error(ActiveRecord::RecordNotFound)
  end
end
